Subject: Re: [X2Go-Dev] Bug#879: CVE backports incomplete or wrong

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 21 May 2015 13:29:05 +0200

On Thu, May 21, 2015 at 10:02 AM, Mike Gabriel
<[email-masked]> wrote:
> Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/29

> Thus, we need to double-maintain those code sections (I know, it is a mess and needs to be cleared up finally).
>
>   o step A: build against libX* from X.Org
>   o step B: be aware for code passages being libX* code, but copied to
>     hw/nxagent/ and maintain those passages in hw/nxagent/ for now

I don't think this is limited to the X11 libraries. The mentioned
render.c is for the RENDER extension not the libXrender, I think. It
is built to render.o and included in librender.a. NXrender.c contains
the same functions (+ more) and is compiled to NXrender.o and included
into libnxagent.a. The nxagent binary is finally linked against
libnxagent.a and not librender.a (at least I have not found where that
could happen).

Uli